*
*	tryme.cmd
*
*	Simple command file to show dBASE cursor positioning.
*	Used on the BBS to be sure that the BBS knows about your
*	  terminal.
*			Mike Kelly
*
*	03/20/83 v1.0	originially written
*	03/20/83 v1.0	updated
*
clear
erase
set talk off
set colon off
set bell off
set escape on
set inte off
*
store 0 to col
store 1 to cnt1
*	print ruler across top of screen (remember line 0 is a no-no)
do while (cnt1 <= 8)
	store 1 to cnt2
	do while (cnt2 <= 10)
		@ 1,col say cnt2 using '9'
		store cnt2 + 1 to cnt2
		store col  + 1 to col
	enddo  (cnt2<10)
	store cnt1 + 1 to cnt1
enddo  (cnt1<10)
*
store 0 to line1
do while (line1 <= 23)
	@ line1,0 say line1+1 using '99'
	store line1 + 1 to line1
enddo  (line1<24)
*
@ 10,10 say 'You should see a ruler across the top of the screen '
@ 11,10 say ' (which is really on physical line 2, because line 1'
@ 12,10 say ' is resevered by dBASE (grrrr)), and you should see'
@ 13,10 say ' a ruler running down the left hand side.'
@ 15,10 say 'If not, better check that your terminal is known to'
@ 16,10 say ' this bbs.'
@ 18,10 say 'When you have checked the positioning out,'
@ 19,10 say '  PRESS ANY KEY, to return to the demo menu.'
*
STORE " " TO QUEST
SET COLON OFF
DO WHILE QUEST = " "
	@ 20,10 GET QUEST
	READ
	STORE 'A' TO QUEST
enddo (forever)
*
DO DEMOCHC

